# DBSchema Class Reference
[Dynamic query builder]

Inheritance diagram for DBSchema:
[legend]

List of all members.

## Public Member Functions

| getTables ()
| getTableNames ()
| addTable (DBTable $table)
| getTableByName ($name)
| toDialectString (Dialect $dialect)

## Private Attributes

| $tables = array()
| $order = array()

## Detailed Description

Definition at line 15 of file DBSchema.class.php.

## Member Function Documentation

DBSchema::addTable | ( | DBTable $ | table | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  DBSchema

Definition at line 34 of file DBSchema.class.php.

References DBTable::getName(), and Assert::isFalse().

Here is the call graph for this function:

DBSchema::getTableByName | ( | $ | name | ) |

Exceptions:

  | MissingElementException |

Returns:
  DBTable

Definition at line 53 of file DBSchema.class.php.

DBSchema::getTableNames | ( |  | ) |

Definition at line 25 of file DBSchema.class.php.

DBSchema::getTables | ( |  | ) |

Definition at line 20 of file DBSchema.class.php.

DBSchema::toDialectString | ( | Dialect $ | dialect | ) |

Definition at line 63 of file DBSchema.class.php.

## Member Data Documentation

DBSchema::$order = array()`[private]`

Definition at line 18 of file DBSchema.class.php.

DBSchema::$tables = array()`[private]`

Definition at line 17 of file DBSchema.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/DBSchema.class.php